%global debug_package %{nil}

Name:           python3-rectangle-packer
Version:        2.0.2
Release:        1%{?dist}
Summary:        Pack a set of rectangles into a bounding box with minimum area

License:        MIT
URL:            https://github.com/Penlect/rectangle-packer
Source0:        %{url}/archive/refs/tags/%{version}.tar.gz

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-cython
BuildRequires:  gcc

%description
Given a set of rectangles with fixed orientations, find a bounding 
box of minimum area that contains them all with no overlap.

%prep
%autosetup -n rectangle-packer-%{version}

%build
%py3_build

%install
%py3_install

%files
%doc README.rst
%{python3_sitearch}/rectangle_packer-*.egg-info/
%{python3_sitearch}/rpack/

%changelog
%autochangelog
